# WoopsiUI::SkinnedScreen Class Reference

Inheritance diagram for WoopsiUI::SkinnedScreen:

List of all members.

## Classes
struct | SkinnedScreenFlags
## Public Types
enum | SkinnedScreenFlagType { SKINNED_SCREEN_SHOW_FLIP = 0x0001, SKINNED_SCREEN_SHOW_DEPTH = 0x0002 }
## Public Member Functions
| SkinnedScreen (const char *title, u32 flags, u32 screenFlags, const ScreenSkin *skin)
virtual void | setBorderless (bool isBorderless)
virtual void | handleReleaseEvent (const GadgetEventArgs &e)
virtual void | handleClickEvent (const GadgetEventArgs &e)
virtual void | handleDragEvent (const GadgetEventArgs &e)
virtual void | handleReleaseOutsideEvent (const GadgetEventArgs &e)
virtual void | showFlipButton ()
virtual void | showDepthButton ()
virtual void | hideFlipButton ()
virtual void | hideDepthButton ()
virtual const bool | hasFlipButton () const
virtual const bool | hasDepthButton () const
## Protected Member Functions
virtual | ~SkinnedScreen ()
| SkinnedScreen (const SkinnedScreen &skinnedScreen)
## Protected Attributes
SkinnedScreenTitle * | _screenTitle
SkinnedScreenDepthButton * | _depthButton
SkinnedScreenFlipButton * | _flipButton
SkinnedScreenFlags | _screenFlags
const ScreenSkin * | _skin

## Member Enumeration Documentation

enum WoopsiUI::SkinnedScreen::SkinnedScreenFlagType

Enum listing flags that can be set in the constructor's "screenFlags" parameter.

Enumerator:

  SKINNED_SCREEN_SHOW_FLIP | Screen shows flip button
  SKINNED_SCREEN_SHOW_DEPTH | Screen shows depth button

## Constructor & Destructor Documentation

virtual WoopsiUI::SkinnedScreen::~SkinnedScreen | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::SkinnedScreen::SkinnedScreen | ( | const SkinnedScreen & | skinnedScreen | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

void SkinnedScreen::handleClickEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Handle a stylus click event.

Parameters:

  | e | The event data.

Reimplemented from WoopsiUI::GadgetEventHandler.

void SkinnedScreen::handleDragEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Handle a stylus drag event.

Parameters:

  | e | The event data.

Reimplemented from WoopsiUI::GadgetEventHandler.

void SkinnedScreen::handleReleaseEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Handle a stylus release event that occurred within the bounds of the source gadget.

Parameters:

  | e | The event data.

Reimplemented from WoopsiUI::GadgetEventHandler.

void SkinnedScreen::handleReleaseOutsideEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Handle a stylus release event that occurred outside the bounds of the source gadget.

Parameters:

  | e | The event data.

Reimplemented from WoopsiUI::GadgetEventHandler.

virtual const bool WoopsiUI::SkinnedScreen::hasDepthButton | ( |  | ) | const`[inline, virtual]`

Does the screen have a depth button?

Returns:
  True if the screen has a depth button.

virtual const bool WoopsiUI::SkinnedScreen::hasFlipButton | ( |  | ) | const`[inline, virtual]`

Does the screen have a flip button?

Returns:
  True if the screen has a flip button.

void SkinnedScreen::hideDepthButton | ( |  | ) | `[virtual]`

Hides the depth button if it is hidden. Has no effect if the screen is borderless. Will redraw the gadget.

void SkinnedScreen::hideFlipButton | ( |  | ) | `[virtual]`

Hides the flip button if it is visible. Has no effect if the screen is borderless. Will redraw the gadget.

void SkinnedScreen::setBorderless | ( | bool | isBorderless | ) | `[virtual]`

Sets this gadget's border state. This does not redraw the gadget.

Parameters:

  | isBorderless | The border state.

Reimplemented from WoopsiUI::Gadget.

void SkinnedScreen::showDepthButton | ( |  | ) | `[virtual]`

Shows the depth button if it is hidden. Has no effect if the screen is borderless. Will redraw the gadget.

void SkinnedScreen::showFlipButton | ( |  | ) | `[virtual]`

Shows the flip button if it is hidden. Has no effect if the screen is borderless. Will redraw the gadget.

## Member Data Documentation

SkinnedScreenFlags WoopsiUI::SkinnedScreen::_screenFlags`[protected]`

SkinnedScreen-specific flags

The documentation for this class was generated from the following files:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.39/Woopsi/woopsi/skinnedscreen.h
- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.39/Woopsi/woopsi/skinnedscreen.cpp

All Classes Functions Variables Enumerations Enumerator